SDL_HINT_JOYSTICK_HIDAPI_PS4_REPORT_INTERVAL(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_PS4_REPORT_INTERVAL - A variable controlling the update rate of the PS4 controller over Bluetooth when using the HIDAPI driver.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_HIDAPI_PS4_REPORT_INTERVAL SDL_JOYSTICK_HIDAPI_PS4_REPORT_INTERVAL"

DESCRIPTION
This defaults to 4 ms, to match the behavior over USB, and to be more friendly to other Bluetooth devices and older Bluetooth hardware on the computer. It can be set to "1" (1000Hz), "2" (500Hz) and "4" (250Hz)

This hint can be set anytime, but only takes effect when extended input reports are enabled.

AVAILABILITY
This hint is available since SDL 3.2.0.